Gambaran keseluruhan kunci
| Versi kunci | V4 |
|---|---|
| Spesifikasi | RFC 2440 · RFC 4880 · RFC 9580 |
| Status | Serasi, tetapi ditamatkan penggunaannya oleh RFC 9580 |
| Kunci utama (pensijilan, tandatangan) | ECDSA NIST P-384 · ID 19 · SHA-384 |
| Subkunci penyulitan | ECDH NIST P-384 · ID 18 |
| Cap jari | BA4E573B5A95992A08B884B8AB586F5CAA5B7A91 |
| Frasa laluan kunci peribadi | synthetic-key-password |
Algoritma dan kegunaan
ECDSA NIST P-384: Tandatangan lengkung eliptik pada lengkung NIST P-384 dengan SHA-384, untuk dasar yang memerlukan tahap keselamatan 192 bit daripada NIST.
ECDH NIST P-384: Subkunci penyulitan Diffie-Hellman lengkung eliptik pada NIST P-384.
Kunci awam
Sijil awam yang mengandungi kunci utama, subkunci penyulitan dan tandatangan pengikatnya. Import untuk mengesahkan tandatangan atau menyulitkan data bagi identiti ujian ini.
Muat turun → 892 bait
-----BEGIN PGP PUBLIC KEY BLOCK-----
xm8EaveFBxMFK4EEACIDAwTwP3saHWRdpgCH8BRyPQwJMBrp4cRfMxTo1jKEkBsk
4t0BJ/SRTwt9GW6HCSgIL+F5pccO+N6Rv/tpwcK9asVG8tn7pwSRAOdni9aMVzba
B8Pepn2Rgl3nAW0VVaY/lxvNJkNILUogbWF0cml4IDIyLXY0LWVjZHNhLXAzODQr
ZWNkaC1wMzg0wqwEExMJADQFAmr3hQcWIQS6Tlc7WpWZKgi4hLirWG9cqlt6kQIb
AwIeAQMLCQcBFQEWBScJAgcCAhkBAAoJEKtYb1yqW3qR8z4BgOgJ524F1+/n2iRm
jaukbT+poOaeuH6VkOitCFGFjT8Lam60e5SYuPMjDbtbGdS8hQF8D9/mJzC9P1HC
o5A8VUy3tKBaGHNDaJml9M7FWQThDmovNhJ5qEYOm0QQsY6MGOdUznMEaveFBxIF
K4EEACIDAwQbvZr2aiLIbyY7wpRARH8NQLxoUp9qkp0WOF1AL3wp8lFjGik8DX+/
eC506jE4WImKsZz3c0pCL6FTiaABBgjM49T4N81r65Ps2GOqNPJ9Vhpj61uUjbkD
KFDsw21H8SIDAQkIwpgEGBMJACAFAmr3hQcWIQS6Tlc7WpWZKgi4hLirWG9cqlt6
kQIbDAAKCRCrWG9cqlt6kWJFAX92J4+mOHncAvbgG/LTknkSlw5BQanmodSHCTHQ
PXafqe9hJ7tTtj+tcyyQGkYdVe8BfAi3r1QHtN+pqbuhcLqSC1X6X2CX4vnA+5v2
M6m3MpI8mq8Vdiu+S2zX9CuI/GE6nA==
=ayES
-----END PGP PUBLIC KEY BLOCK-----
Kunci peribadi
Kunci peribadi yang dilindungi dengan frasa laluan yang ditunjukkan di atas. Diterbitkan untuk ujian sahaja: sesiapa sahaja boleh menggunakannya.
Muat turun → 1 162 bait
Paparkan
-----BEGIN PGP PRIVATE KEY BLOCK-----
xcASBGr3hQcTBSuBBAAiAwME8D97Gh1kXaYAh/AUcj0MCTAa6eHEXzMU6NYyhJAb
JOLdASf0kU8LfRluhwkoCC/heaXHDvjekb/7acHCvWrFRvLZ+6cEkQDnZ4vWjFc2
2gfD3qZ9kYJd5wFtFVWmP5cb/gkDCB5MdZ1XCAVu4Ej5a5EUf7YRJdtMQ9432jXq
kWE4xSHY9rN8v9Y8yhPx9tdsVZKN57s5rNMDYhi1cIWx8Lj4TIIGGaQgGRlfbBCB
5Q//bMX7pkpUnohFC/o/L0L7nIv0zSZDSC1KIG1hdHJpeCAyMi12NC1lY2RzYS1w
Mzg0K2VjZGgtcDM4NMKsBBMTCQA0BQJq94UHFiEEuk5XO1qVmSoIuIS4q1hvXKpb
epECGwMCHgEDCwkHARUBFgUnCQIHAgIZAQAKCRCrWG9cqlt6kfM+AYDoCeduBdfv
59okZo2rpG0/qaDmnrh+lZDorQhRhY0/C2putHuUmLjzIw27WxnUvIUBfA/f5icw
vT9RwqOQPFVMt7SgWhhzQ2iZpfTOxVkE4Q5qLzYSeahGDptEELGOjBjnVMfAFgRq
94UHEgUrgQQAIgMDBBu9mvZqIshvJjvClEBEfw1AvGhSn2qSnRY4XUAvfCnyUWMa
KTwNf794LnTqMThYiYqxnPdzSkIvoVOJoAEGCMzj1Pg3zWvrk+zYY6o08n1WGmPr
W5SNuQMoUOzDbUfxIgMBCQj+CQMI/CAOINGj7h7gSkKMX7JJJhTDZsTa6/BOpe/K
Gzv1CPdKNt3Jnx0UTOu9VsoFca38Go7fs4gWKmA7NwCXnazaHNUCRAe3wTTa6cVY
gLuOvaH3S31C0c03LKc4XlU2YHXCmAQYEwkAIAUCaveFBxYhBLpOVztalZkqCLiE
uKtYb1yqW3qRAhsMAAoJEKtYb1yqW3qRYkUBf3Ynj6Y4edwC9uAb8tOSeRKXDkFB
qeah1IcJMdA9dp+p72Enu1O2P61zLJAaRh1V7wF8CLevVAe036mpu6FwupILVfpf
YJfi+cD7m/YzqbcykjyarxV2K75LbNf0K4j8YTqc
=f6p+
-----END PGP PRIVATE KEY BLOCK-----
Sijil pembatalan
Sijil pembatalan yang dijana terlebih dahulu. Mengimportnya menandakan kunci sebagai dibatalkan; ia diterbitkan supaya anda boleh menguji cara perisian mengendalikan kunci yang dibatalkan.
Muat turun → 1 095 bait
Paparkan
-----BEGIN PGP PUBLIC KEY BLOCK-----
xm8EaveFBxMFK4EEACIDAwTwP3saHWRdpgCH8BRyPQwJMBrp4cRfMxTo1jKEkBsk
4t0BJ/SRTwt9GW6HCSgIL+F5pccO+N6Rv/tpwcK9asVG8tn7pwSRAOdni9aMVzba
B8Pepn2Rgl3nAW0VVaY/lxvClQQgEwkAHQUCaveFBxYhBLpOVztalZkqCLiEuKtY
b1yqW3qRAAoJEKtYb1yqW3qRs8MBgIDQ3VgEAOwhmwDTlcPHY1n0TF1kNHUvuk7g
XYrjVpSwdPCbOxKiRLFiXTLoWa7wvAF+K3sT+pBqLcNktBzJHoRbI419wZEXzr/J
5jkgZ9zLG9abGbJpKH0W2DC7TNHvaoFPzSZDSC1KIG1hdHJpeCAyMi12NC1lY2Rz
YS1wMzg0K2VjZGgtcDM4NMKsBBMTCQA0BQJq94UHFiEEuk5XO1qVmSoIuIS4q1hv
XKpbepECGwMCHgEDCwkHARUBFgUnCQIHAgIZAQAKCRCrWG9cqlt6kfM+AYDoCedu
Bdfv59okZo2rpG0/qaDmnrh+lZDorQhRhY0/C2putHuUmLjzIw27WxnUvIUBfA/f
5icwvT9RwqOQPFVMt7SgWhhzQ2iZpfTOxVkE4Q5qLzYSeahGDptEELGOjBjnVM5z
BGr3hQcSBSuBBAAiAwMEG72a9moiyG8mO8KUQER/DUC8aFKfapKdFjhdQC98KfJR
YxopPA1/v3gudOoxOFiJirGc93NKQi+hU4mgAQYIzOPU+DfNa+uT7NhjqjTyfVYa
Y+tblI25AyhQ7MNtR/EiAwEJCMKYBBgTCQAgBQJq94UHFiEEuk5XO1qVmSoIuIS4
q1hvXKpbepECGwwACgkQq1hvXKpbepFiRQF/diePpjh53AL24Bvy05J5EpcOQUGp
5qHUhwkx0D12n6nvYSe7U7Y/rXMskBpGHVXvAXwIt69UB7Tfqam7oXC6kgtV+l9g
l+L5wPub9jOptzKSPJqvFXYrvkts1/QriPxhOpw=
=2Xz2
-----END PGP PUBLIC KEY BLOCK-----
Tandatangan test_1MB.bin
Tandatangan berasingan dalam format ASCII-armored bagi test_1MB.bin yang dibuat dengan kunci ini dalam CH-J Tools. Simpan sebagai test_1MB.bin.asc di sebelah fail ujian.
Muat turun → 273 bait
-----BEGIN PGP SIGNATURE-----
wpUEABMJAB0WIQS6Tlc7WpWZKgi4hLirWG9cqlt6kQUCaveO8gAKCRCrWG9cqlt6
kUHJAX9rEtBb020cNXupXXthuNlBLXNGTU6lTJ5mJnix842lWtUW7GWTN9By+SIw
7vzoZ0IBfj4G8g8Vp7VcL6eIVdc8CFmswyX8ZpqY/qd4bFJtJuZw16GJ7DJz1pA0
sA+Y2i64yQ==
=0iaK
-----END PGP SIGNATURE-----
Sahkan tandatangan
Kunci versi 4 berfungsi dengan GnuPG dan alat SOP seperti sqop atau rsop, setakat algoritma yang disokong. Gunakan GNUPGHOME sementara supaya kunci ujian tidak memasuki gelang kunci sebenar anda:
gpg --import pgp-example-22-public.asc
gpg --verify test_1MB.bin.asc test_1MB.bin